Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.dependencyGraph
Class AbstractDependencyGraph<T extends ISystemModelElement>

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraph<DependencyGraphNode<T>,WeightedBidirectionalDependencyGraphEdge<T>,TraceInformation>
          kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.AbstractDependencyGraph<T>

Type Parameters:
  `T` - The type of the nodes' payload

Direct Known Subclasses:
  ComponentAllocationDependencyGraph, ComponentAssemblyDependencyGraph, ContainerDependencyGraph, OperationAllocationDependencyGraph, OperationAssemblyDependencyGraph

    public abstract class AbstractDependencyGraph<T extends ISystemModelElement>

extends AbstractGraph<DependencyGraphNode<T>,WeightedBidirectionalDependencyGraphEdge<T>,TraceInformation>

Abstract superclass for dependency graphs.

Since:
  1.6
Author:
  Andre van Hoorn, Lena Stöver

Nested Class Summary

Nested classes/interfaces inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraph
`AbstractGraph.IGraphVisitor<V,E>`

Constructor Summary
`AbstractDependencyGraph(T rootEntity)` Creates a new dependency graph with the given root entity.

Method Summary
`Collection<DependencyGraphNode<T>>` | `getNodes()` Returns all nodes contained in this graph.
`DependencyGraphNode<T>` | `getRootNode()` Returns this graph's root node.
`Collection<DependencyGraphNode<T>>` | `getVertices()` Returns the vertices contained in this graph.
`int` | `size()` Returns the number of nodes contained in this graph.

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraph
`traverse, traverseWithVerticesFirst`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDependencyGraph

    public AbstractDependencyGraph(T rootEntity)

  Creates a new dependency graph with the given root entity.

  Parameters:
    `rootEntity` - The entity from which the root node originates

Method Detail

### getRootNode

    public final DependencyGraphNode<T> getRootNode()

  Returns this graph's root node.

  Returns:
    See above

### getNodes

    public Collection<DependencyGraphNode<T>> getNodes()

  Returns all nodes contained in this graph.

  Returns:
    See above

### size

    public int size()

  Returns the number of nodes contained in this graph.

  Returns:
    See above

### getVertices

    public Collection<DependencyGraphNode<T>> getVertices()

  Description copied from class: `AbstractGraph`
  Returns the vertices contained in this graph.

  Specified by:
    `getVertices` in class `AbstractGraph<DependencyGraphNode<T extends ISystemModelElement>,WeightedBidirectionalDependencyGraphEdge<T extends ISystemModelElement>,TraceInformation>`
  Returns:
    See above

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net